Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  trait Parsing extends AnyRef

  Similar to Reporting: gather global functionality specific to parsing.

  Similar to Reporting: gather global functionality specific to parsing.

  Definition Classes
    nsc
- PerRunParsing
- RunParsing

t

scala.tools.nsc.Parsing

# RunParsing

###

#### trait RunParsing extends AnyRef

Source
  Parsing.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
Run, TyperRun
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. RunParsing
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def isScala213: Boolean
2.  abstract def isScala214: Boolean

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from (Parsing.this)#RunParsing toany2stringadd[(Parsing.this)#RunParsing] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): ((Parsing.this)#RunParsing, B)
   Implicit
     This member is added by an implicit conversion from (Parsing.this)#RunParsing toArrowAssoc[(Parsing.this)#RunParsing] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def ensuring(cond: ((Parsing.this)#RunParsing) => Boolean, msg: => Any): (Parsing.this)#RunParsing
   Implicit
     This member is added by an implicit conversion from (Parsing.this)#RunParsing toEnsuring[(Parsing.this)#RunParsing] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: ((Parsing.this)#RunParsing) => Boolean): (Parsing.this)#RunParsing
   Implicit
     This member is added by an implicit conversion from (Parsing.this)#RunParsing toEnsuring[(Parsing.this)#RunParsing] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: => Any): (Parsing.this)#RunParsing
    Implicit
      This member is added by an implicit conversion from (Parsing.this)#RunParsing toEnsuring[(Parsing.this)#RunParsing] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): (Parsing.this)#RunParsing
    Implicit
      This member is added by an implicit conversion from (Parsing.this)#RunParsing toEnsuring[(Parsing.this)#RunParsing] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from (Parsing.this)#RunParsing toStringFormat[(Parsing.this)#RunParsing] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  val parsing: (Parsing.this)#PerRunParsing
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): ((Parsing.this)#RunParsing, B)
   Implicit
     This member is added by an implicit conversion from (Parsing.this)#RunParsing toArrowAssoc[(Parsing.this)#RunParsing] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from(Parsing.this)#RunParsing to any2stringadd[(Parsing.this)#RunParsing]

### Inherited by implicit conversion StringFormat from(Parsing.this)#RunParsing to StringFormat[(Parsing.this)#RunParsing]

### Inherited by implicit conversion Ensuring from(Parsing.this)#RunParsing to Ensuring[(Parsing.this)#RunParsing]

### Inherited by implicit conversion ArrowAssoc from(Parsing.this)#RunParsing to ArrowAssoc[(Parsing.this)#RunParsing]

### Ungrouped